public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/files/, x11-apps/radeon-profile/
@ 2020-07-08 15:07 Lars Wendler
  0 siblings, 0 replies; 2+ messages in thread
From: Lars Wendler @ 2020-07-08 15:07 UTC (permalink / raw
  To: gentoo-commits

commit:     6aae3342a2b4735778c95c35ba1d8cc39bb3b936
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  8 15:04:15 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Jul  8 15:07:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6aae3342

x11-apps/radeon-profile: Revbump for new daemon socket location.

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 .../files/radeon-profile-20200504-run_subdir.patch | 30 ++++++++++++++++++++++
 ...04.ebuild => radeon-profile-20200504-r1.ebuild} |  8 +++++-
 2 files changed, 37 insertions(+), 1 deletion(-)

diff --git a/x11-apps/radeon-profile/files/radeon-profile-20200504-run_subdir.patch b/x11-apps/radeon-profile/files/radeon-profile-20200504-run_subdir.patch
new file mode 100644
index 00000000000..052a143e793
--- /dev/null
+++ b/x11-apps/radeon-profile/files/radeon-profile-20200504-run_subdir.patch
@@ -0,0 +1,30 @@
+From 576d03da0e33cdc31535cd724daaf1cdde3ac902 Mon Sep 17 00:00:00 2001
+From: Lars Wendler <polynomial-c@gentoo.org>
+Date: Wed, 8 Jul 2020 16:33:38 +0200
+Subject: [PATCH] Read radeon-profile-daemon-server socket from
+ /run/radeon-profile-daemon/
+
+Gentoo has moved the radeon-profile-daemon-server socket file into that
+subdir in order to provide secure access permissions.
+
+Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
+---
+ radeon-profile/daemonComm.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/radeon-profile/daemonComm.cpp b/radeon-profile/daemonComm.cpp
+index 21ec38f..dff00a0 100644
+--- a/radeon-profile/daemonComm.cpp
++++ b/radeon-profile/daemonComm.cpp
+@@ -34,7 +34,7 @@ void DaemonComm::sendConnectionConfirmation() {
+ void DaemonComm::connectToDaemon() {
+     qDebug() << "Connecting to daemon...";
+     signalSender->abort();
+-    signalSender->connectToServer("/run/radeon-profile-daemon-server");
++    signalSender->connectToServer("/run/radeon-profile-daemon/radeon-profile-daemon-server");
+ }
+ 
+ void DaemonComm::disconnectDaemon() {
+-- 
+2.27.0
+

diff --git a/x11-apps/radeon-profile/radeon-profile-20200504.ebuild b/x11-apps/radeon-profile/radeon-profile-20200504-r1.ebuild
similarity index 88%
rename from x11-apps/radeon-profile/radeon-profile-20200504.ebuild
rename to x11-apps/radeon-profile/radeon-profile-20200504-r1.ebuild
index 830f17504e3..d836b3ad1f8 100644
--- a/x11-apps/radeon-profile/radeon-profile-20200504.ebuild
+++ b/x11-apps/radeon-profile/radeon-profile-20200504-r1.ebuild
@@ -22,6 +22,7 @@ IUSE=""
 S="${WORKDIR}/${P}/${PN}"
 
 RDEPEND="
+	!<x11-apps/radeon-profile-daemon-20190603-r1
 	dev-qt/qtcharts:5
 	dev-qt/qtcore:5
 	dev-qt/qtgui:5
@@ -38,8 +39,13 @@ DEPEND="
 	x11-libs/libdrm
 "
 
+PATCHES=(
+	"${FILESDIR}/${PN}-20200504-run_subdir.patch"
+)
+
 src_prepare() {
-	default
+	eapply -p2 "${PATCHES[@]}"
+	eapply_user
 	sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
 }
 


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/files/, x11-apps/radeon-profile/
@ 2021-01-04  1:25 Lars Wendler
  0 siblings, 0 replies; 2+ messages in thread
From: Lars Wendler @ 2021-01-04  1:25 UTC (permalink / raw
  To: gentoo-commits

commit:     1f20db400637e0b9b5c0a147ccfdef132df226b4
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  4 01:25:30 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jan  4 01:25:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f20db40

x11-apps/radeon-profile: Revbump to fix segfault

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 .../files/radeon-profile-20200824-segfault.patch   | 33 +++++++++++
 .../radeon-profile-20200824-r1.ebuild              | 65 ++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/x11-apps/radeon-profile/files/radeon-profile-20200824-segfault.patch b/x11-apps/radeon-profile/files/radeon-profile-20200824-segfault.patch
new file mode 100644
index 00000000000..141dd46d8f7
--- /dev/null
+++ b/x11-apps/radeon-profile/files/radeon-profile-20200824-segfault.patch
@@ -0,0 +1,33 @@
+From a98da7fd620a9b102a74affe16c0c0daccb97fc4 Mon Sep 17 00:00:00 2001
+From: Haakon Drews <fawz@negentropy.io>
+Date: Mon, 4 Jan 2021 02:21:17 +0100
+Subject: [PATCH] Fix segfault when running as regular user
+
+Bug: https://github.com/marazmista/radeon-profile/issues/244
+Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
+---
+ radeon-profile/gpu.cpp | 8 +++++++-
+ 1 file changed, 7 insertions(+), 1 deletion(-)
+
+diff --git a/radeon-profile/gpu.cpp b/radeon-profile/gpu.cpp
+index ccd99d3..f5e32a3 100644
+--- a/radeon-profile/gpu.cpp
++++ b/radeon-profile/gpu.cpp
+@@ -69,7 +69,13 @@ void gpu::detectCards() {
+ 
+         int pciIdx = ueventContents.indexOf(QRegExp("PCI_SLOT_NAME.+"));
+         if (pciIdx != -1)
+-            gsi.name = globalStuff::grabSystemInfo("lspci -s " + ueventContents[pciIdx].split('=')[1])[0].split(':')[2].trimmed();
++        {
++            auto input = globalStuff::grabSystemInfo("lspci -s " + ueventContents[pciIdx].split('=')[1]);
++            if(input.size() < 3)
++                gsi.name = "UNKNOWN";
++            else
++                gsi.name = input[0].split(':')[2].trimmed();
++        }
+ 
+         gpuList.append(gsi);
+ 
+-- 
+2.30.0
+

diff --git a/x11-apps/radeon-profile/radeon-profile-20200824-r1.ebuild b/x11-apps/radeon-profile/radeon-profile-20200824-r1.ebuild
new file mode 100644
index 00000000000..1024baeddcb
--- /dev/null
+++ b/x11-apps/radeon-profile/radeon-profile-20200824-r1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
+HOMEPAGE="https://github.com/marazmista/radeon-profile"
+if [[ "${PV}" == 99999999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git"
+else
+	SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE=""
+
+S="${WORKDIR}/${P}/${PN}"
+
+RDEPEND="
+	!<x11-apps/radeon-profile-daemon-20190603-r1
+	dev-qt/qtcharts:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtwidgets:5
+	x11-libs/libX11
+	x11-libs/libXrandr
+"
+
+DEPEND="
+	${RDEPEND}
+	dev-qt/qtconcurrent:5
+	media-libs/mesa[X(+)]
+	x11-libs/libdrm
+"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-20200504-run_subdir.patch"
+	"${FILESDIR}/${PN}-20200824-segfault.patch"
+)
+
+src_prepare() {
+	eapply -p2 "${PATCHES[@]}"
+	eapply_user
+	sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
+}
+
+src_configure() {
+	eqmake5
+}
+
+src_install() {
+	emake INSTALL_ROOT="${D}" install
+}
+
+pkg_postinst() {
+	elog "In order to run ${PN} as non-root user, the"
+	elog "  x11-apps/radeon-profile-daemon"
+	elog "package needs to be installed and the daemon must run."
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-01-04  1:25 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-07-08 15:07 [gentoo-commits] repo/gentoo:master commit in: x11-apps/radeon-profile/files/, x11-apps/radeon-profile/ Lars Wendler
  -- strict thread matches above, loose matches on Subject: below --
2021-01-04  1:25 Lars Wendler

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox